Bug 1576266 (CVE-2018-5165) - CVE-2018-5165 Mozilla: Checkbox for enabling Flash protected mode is inverted in 32-bit Firefox
Summary: CVE-2018-5165 Mozilla: Checkbox for enabling Flash protected mode is inverted...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5165
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:14 UTC by Doran Moppert
Modified: 2021-02-17 00:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:03 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:14:42 UTC
In 32-bit versions of Firefox, the Adobe Flash plugin setting for "Enable Adobe Flash protected mode" is unchecked by default even though the Adobe Flash sandbox is actually enabled. The displayed state is the reverse of the true setting, resulting in user confusion. This could cause users to select this setting intending to activate it and inadvertently turn protections off.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5165

Comment 1 Doran Moppert 2018-05-09 07:14:47 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: David Parks


Note You need to log in before you can comment on or make changes to this bug.